## opal 2.2.3.dfsg

=== samples/simple/Makefile ===
#
# Makefile
#
# Make file for simple sample application for the Open Phone Abstraction library.
#
# Copyright (c) 1998-2000 Equivalence Pty. Ltd.
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open Phone Abstraction Library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Contributor(s): ______________________________________.
#
# $Log: Makefile,v $
# Revision 2.2  2002/02/11 09:38:28  robertj
# Moved version to root directory
#
# Revision 2.1  2001/07/30 03:07:15  robertj
# Improved reporting of incorrect OPALDIR
#
# Revision 2.0  2001/07/27 15:48:24  robertj
# Conversion of OpenH323 to Open Phone Abstraction Library (OPAL)
#
# Revision 1.2  2000/10/30 00:24:49  robertj
# No longer need to include ptlib explicitly
#
# Revision 1.1  2000/05/11 04:05:57  robertj
# Simple sample program.
#

PROG		= simpleopal
SOURCES		:= main.cxx

VERSION_FILE =  ../../version.h

ifndef OPALDIR
ifneq (,$(wildcard $(HOME)/opal))
OPALDIR=$(HOME)/opal
else
ifneq (,$(wildcard /usr/local/opal))
OPALDIR=/usr/local/opal
else
default_target :
	@echo Cannot find OPAL in standard locations, you must set the OPALDIR
	@echo environment variable to build this application.
endif
endif
endif

ifdef OPALDIR
include $(OPALDIR)/opal_inc.mak
endif

=== src/codec/lpc10/Makefile ===
# 
# Makefile for demo main programs using LPC-10 speech coder library
# 

WARNINGS = -Wall
CFLAGS = -O3 $(WARNINGS)

# default C compiler
CC= gcc

.PHONY: all clean

all: nuke unnuke nuke2 unnuke2

nuke:	nuke.o bitio.o sampleio.o liblpc10.a
	$(CC) -o $@ nuke.o bitio.o sampleio.o -L. -llpc10 -lm

unnuke:	unnuke.o bitio.o sampleio.o liblpc10.a
	$(CC) -o $@ unnuke.o bitio.o sampleio.o -L. -llpc10 -lm

nuke2:	nuke2.o bitio.o sampleio.o liblpc10.a
	$(CC) -o $@ nuke2.o bitio.o sampleio.o -L. -llpc10 -lm

unnuke2:	unnuke2.o bitio.o sampleio.o liblpc10.a
	$(CC) -o $@ unnuke2.o bitio.o sampleio.o -L. -llpc10 -lm

clean:
	-rm -f *.o

## opal 2.2.11~dfsg1

=== samples/opalgw/Makefile ===
#
# Makefile
#
# Make file for opalgw
#
# Open Phone Abstraction Lebrary Project
#
# Copyright (c) 2003 Equivalence Pty. Ltd.
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Portable Windows Library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Contributor(s): ______________________________________.
#
# $Log: Makefile,v $
# Revision 1.2  2003/03/26 03:03:52  robertj
# Set correct project name
#
# Revision 1.1  2003/03/26 02:49:00  robertj
# Added service/daemon sample application.
#

PROG	= opalgw
SOURCES	:= main.cxx custom.cxx

ifndef OPALDIR
ifneq (,$(wildcard ../opal))
OPALDIR=../opal
else
OPALDIR=$(HOME)/opal
endif
endif

include $(OPALDIR)/opal_inc.mak

## opal 3.6.1~dfsg

=== plugins/audio/GSM0610/Makefile ===
#
# Makefile for GSM 06.10
#
# Copyright (C) 2004 Post Increment, All Rights Reserved
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open H323 library.
#
# The Initial Developer of the Original Code is Post Increment
#
# Contributor(s): ______________________________________.
#
# $Log: Makefile.in,v $
# Revision 1.3  2007/04/19 06:09:03  csoutheren
# Fixed plugin build system to use better detection for OSX
# Resolved 1636262 - Fix for audio plugins for OSX
#
# Revision 1.2  2006/07/31 08:52:09  csoutheren
# Checkin of validated codec used during development
#
# Revision 1.1.2.1  2006/04/06 01:20:04  csoutheren
# Ported audio codec plugins from OpenH323 to OPAL
#
# Revision 1.11  2006/02/20 08:54:32  csoutheren
# Fixed problem with Makefile. WTF did this come from? :)
#
# Revision 1.10  2006/02/09 23:42:54  csoutheren
# Added check for system gsm library
#
# Revision 1.9  2004/08/24 14:15:12  csoutheren
# Fixed potential problems with MS-GSM
#
# Revision 1.8  2004/08/22 04:20:18  csoutheren
# Added -fPIC to build commands to fix problems on 64 bit platforms
# Thanks to Klaus Kaempf
#
# Revision 1.7  2004/06/24 23:33:17  csoutheren
# Changed Makefiles to ensure all plugins have correct suffix
#
# Revision 1.6  2004/06/17 23:14:59  csoutheren
# Fixed error when using "make install" with embedded GSM
# Thanks to Matthias Weber
#
# Revision 1.5  2004/05/18 22:24:24  csoutheren
# Initiali support for embedded codecs
#
# Revision 1.4  2004/05/03 11:08:30  csoutheren
# Modified to allow plugins to be created on various platforms
#
# Revision 1.3  2004/05/02 13:57:05  rjongbloed
# Fixed building local GSM if no system library
#
# Revision 1.2  2004/04/29 14:47:59  csoutheren
# Reconfigured plugin makefiles per suggestions from Damien Sandras
# Changed install targets to use $(INSTALL)
#
# Revision 1.1  2004/04/29 10:48:55  csoutheren
# Initial version
#
# Revision 1.1  2004/04/27 09:59:27  csoutheren
# Updated codec specific Makefiles
#
#
#

AC_PLUGIN_DIR=opal-3.6.1/codecs/audio
prefix=/usr/local
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
target_os=linux-gnu

GSM_SYSTEM=no
GSM_LIBS=
GSM_CFLAGS=
SONAME	= gsm0610
H323_EMBEDDED_GSM=@H323_EMBEDDED_GSM@

SRCDIR		= ./src
OBJDIR		= ./obj
PLUGINDIR       =../..

CC	 	=gcc
CFLAGS	 	= -Os 
CXX	 	=g++
LDSO	 	=-shared -Wl,-soname,$(SONAME)
PLUGINEXT	=so
STDCCFLAGS	= -fPIC
LDFLAGS		=
EXTRACFLAGS     =-I$(PLUGINDIR)

SRCS	+= gsm06_10_codec.c

ifeq ($(GSM_SYSTEM),no)

SRCS	+= $(SRCDIR)/gsm_create.c \
           $(SRCDIR)/gsm_destroy.c \
	   $(SRCDIR)/gsm_decode.c \
           $(SRCDIR)/gsm_encode.c \
           $(SRCDIR)/gsm_option.c \
	   $(SRCDIR)/code.c \
           $(SRCDIR)/decode.c \
           $(SRCDIR)/add.c \
	   $(SRCDIR)/gsm_lpc.c \
           $(SRCDIR)/rpe.c \
           $(SRCDIR)/preprocess.c \
           $(SRCDIR)/long_term.c \
           $(SRCDIR)/short_term.c \
           $(SRCDIR)/table.c

EXTRALIBS = 
GSM_CFLAGS = -I./inc -DWAV49 -DNeedFunctionPrototypes=1
else

EXTRALIBS = $(GSM_LIBS)

endif

vpath	%.o $(OBJDIR)
vpath	%.c $(SRCDIR)

ifeq ($(H323_EMBEDDED_GSM),1)
EXTRACCFLAGS=-DOPAL_STATIC_CODEC
endif

$(OBJDIR)/%.o : %.c
	@mkdir -p $(OBJDIR) >/dev/null 2>&1
	$(CC) -I../../../include  $(EXTRACCFLAGS) $(STDCCFLAGS) $(OPTCCFLAGS) $(CFLAGS) $(GSM_CFLAGS) $(EXTRACFLAGS) -c $< -o $@

PLUGIN	= ./gsm0610_audio_pwplugin.$(PLUGINEXT)
STATIC	= ./libgsm0610_audio_s.a

OBJECTS = $(addprefix $(OBJDIR)/,$(patsubst %.c,%.o,$(notdir $(SRCS))))

ifeq ($(H323_EMBEDDED_GSM),1)

$(STATIC): $(OBJECTS)
	$(AR) rcs $@ $^ 

install:

uninstall:

else

$(PLUGIN): $(OBJECTS)

ifeq (solaris,$(findstring solaris,$(target_os)))

	$(CC) $(LDSO) $@ -o $@ $^ $(EXTRALIBS)
else 
	$(CC) $(LDSO) -o $@ $^ $(EXTRALIBS)

endif

endif

install:
	mkdir -p $(DESTDIR)$(libdir)/$(AC_PLUGIN_DIR)
	install $(PLUGIN) $(DESTDIR)$(libdir)/$(AC_PLUGIN_DIR)

uninstall:
	rm -f $(DESTDIR)$(libdir)/$(AC_PLUGIN_DIR)/$(PLUGIN)

clean:
	rm -f $(OBJECTS) $(PLUGIN)

###########################################

=== plugins/audio/gsm-amr/Makefile ===
#
# Makefile for GSM-AMR Codec Plugin
#
# Copyright (C) 2004 MX Telecom Ltd.
#
# $Revision: 21045 $
# $Author: ms30002000 $
# $Date: 2008-09-17 19:45:23 +0000 (Wed, 17 Sep 2008) $

AC_PLUGIN_DIR=opal-3.6.1/codecs/audio
prefix=/usr/local
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
target_os=linux-gnu

OBJDIR	= ./obj
SRCDIR  = ./src
PLUGINDIR=../..

BASENAME= gsmamrcodec
SONAME	= $(BASENAME)

CC	 	=gcc
CFLAGS	 	= -Os 
CXX	 	=g++
LDSO	 	=-shared -Wl,-soname,$(SONAME)
PLUGINEXT	=so
STDCCFLAGS	= -fPIC
LDFLAGS		=

SRCS	= amrcodec.c \
	interf_enc.c \
	interf_dec.c \
	sp_dec.c \
	sp_enc.c

vpath	%.o $(OBJDIR)
vpath	%.c $(SRCDIR)

CFLAGS += -I../../../include -I$(SRCDIR)
CFLAGS += -DIF2
EXTRACFLAGS=-I$(PLUGINDIR)

PLUGIN	= ./$(BASENAME)_pwplugin.$(PLUGINEXT)

$(OBJDIR)/%.o : %.c
	@mkdir -p $(OBJDIR) >/dev/null 2>&1
	$(CC) -c -I../../../include $(STDCCFLAGS) $(CFLAGS) $(EXTRACFLAGS) -o $@ $<

OBJECTS	= $(addprefix $(OBJDIR)/,$(patsubst %.c,%.o,$(notdir $(SRCS))))


$(PLUGIN): $(OBJECTS)

ifeq (solaris,$(findstring solaris,$(target_os)))

	$(CC) $(LDSO) $@ -o $@ $^
else	
	$(CC) $(LDSO) -o $@ $^

endif	

install:
	mkdir -p $(DESTDIR)$(libdir)/$(AC_PLUGIN_DIR)
	install $(PLUGIN) $(DESTDIR)$(libdir)/$(AC_PLUGIN_DIR)

uninstall:
	rm -f $(DESTDIR)$(libdir)/$(AC_PLUGIN_DIR)/$(PLUGIN)

clean:
	rm -f $(OBJECTS) $(PLUGIN)

###########################################

=== plugins/video/H.261-vic/Makefile ===
#
# Makefile for GSM 06.10
#
# Copyright (C) 2004 Post Increment, All Rights Reserved
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open H323 library.
#
# The Initial Developer of the Original Code is Post Increment
#
# Contributor(s): ______________________________________.
#
# $Log: Makefile.in,v $
# Revision 1.6  2007/08/26 09:27:33  dominance
# Large video codecs cleanup by Matthias Schneider (ma30002000 _at_ yahoo.de),
# consisting of:
#
# plugins/common:
#  * Add display calling plugin in debug output
#  * Only check for ffmpeg functions the calling plugin really depends on
# plugins/H.261-vic:
#  * Introduce debug tracing
# plugins/H.263+:
#  * Check for correct codec initialization
#  * Really drop frame if it doesn't contain a picture header
#  * Change description from H.263 to H.263P (p as in plus)
#  * Make use of shared code
# plugins/H.264:
#  * Fix include of x264.h for MPL build
#  * Allow disabling of sending STAP-A packets
# plugins/THEORA:
#  * Make use of shared code
#
# Revision 1.5  2007/04/19 06:09:04  csoutheren
# Fixed plugin build system to use better detection for OSX
# Resolved 1636262 - Fix for audio plugins for OSX
#
# Revision 1.4  2006/10/10 01:42:55  csoutheren
# Applied patches from Ekiga bug 360869 - fix OpenSolaris build problems
# Thanks to Boying Lu
#
# Revision 1.3  2006/08/20 00:32:25  csoutheren
# Added missing files to Makefile
#
# Revision 1.2  2006/08/12 10:59:14  rjongbloed
# Added Linux build for H.261 plug-in.
#

VC_PLUGIN_DIR=opal-3.6.1/codecs/video
prefix=/usr/local
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
target_os=linux-gnu

SRCDIR	= ./vic
OBJDIR	= ./obj

BASENAME=h261-vic
SONAME	=$(BASENAME)
COMMONDIR       =../common
PLUGINDIR       =../../

CC	 	=gcc
CFLAGS	 	= -Os 
CXX	 	=g++
LDSO	 	=-shared -Wl,-soname,$(SONAME)
PLUGINEXT	=so
STDCCFLAGS	= -fPIC
LDFLAGS		=

EXTRACCFLAGS    += -I$(COMMONDIR) -I$(PLUGINDIR)

vpath   %.cxx $(COMMONDIR)
vpath	%.cxx $(SRCDIR)
vpath	%.c   $(SRCDIR)
vpath	%.o   $(OBJDIR)

SRCS	+= h261vic.cxx \
	   $(COMMONDIR)/trace.cxx \
           $(SRCDIR)/encoder-h261.cxx \
	   $(SRCDIR)/transmitter.cxx \
           $(SRCDIR)/vid_coder.cxx \
	   $(SRCDIR)/p64encoder.cxx \
           $(SRCDIR)/p64.cxx \
           $(SRCDIR)/dct.cxx \
           $(SRCDIR)/huffcode.c \
           $(SRCDIR)/bv.c \

$(OBJDIR)/%.o : %.cxx
	@mkdir -p $(OBJDIR) >/dev/null 2>&1
	$(CXX) -I../../../include $(EXTRACCFLAGS) $(STDCCFLAGS) $(OPTCCFLAGS) $(CFLAGS) -c $< -o $@

$(OBJDIR)/%.o : %.c
	@mkdir -p $(OBJDIR) >/dev/null 2>&1
	$(CC) -I../../../include $(EXTRACCFLAGS) $(STDCCFLAGS) $(OPTCCFLAGS) $(CFLAGS) -c $< -o $@

PLUGIN	= ./$(BASENAME)_video_pwplugin.$(PLUGINEXT)
STATIC	= ./lib$(BASENAME)_video_s.a

OBJECTS = $(addprefix $(OBJDIR)/,$(patsubst %.c,%.o,$(patsubst %.cxx,%.o,$(notdir $(SRCS)))))

$(PLUGIN): $(OBJECTS)
ifeq (,$(findstring solaris,$(target_os)))
	$(CXX) $(LDSO) -o $@ $^
else	
	$(CXX) $(LDSO) $@ -o $@ $^
endif

install:
	mkdir -p $(DESTDIR)$(libdir)/$(VC_PLUGIN_DIR)
	install $(PLUGIN) $(DESTDIR)$(libdir)/$(VC_PLUGIN_DIR)

uninstall:
	rm -f $(DESTDIR)$(libdir)/$(VC_PLUGIN_DIR)/$(PLUGIN)

clean:
	rm -f $(OBJECTS) $(PLUGIN)

###########################################

=== plugins/video/H.264/Makefile ===
#
# Makefile for GSM 06.10
#
# Copyright (C) 2004 Post Increment, All Rights Reserved
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open H323 library.
#
# The Initial Developer of the Original Code is Post Increment
#
# Contributor(s): ______________________________________.
#
# $Log: Makefile.in,v $
# Revision 1.4  2007/09/02 12:03:19  dominance
# * dynamically load libx264 at runtime on *nix
# * Improved error handling
#
# Patch received from and thus thanks goes to Matthias Schneider.
#
# Revision 1.3  2007/08/23 19:20:14  dominance
# fix compilation of H.264 if CFLAGS is present from make
#
# Revision 1.2  2007/08/22 21:51:26  dsandras
# Applied patch from Matthias Schneider <ma30002000 yahoo de> to share
# things between codecs. Huge thanks!
#
# Revision 1.1  2007/06/16 21:36:59  dsandras
# Added H.264 support thanks to Matthias Schneider <ma30002000 yahoo de>.
# Thanks a lot !
#
# Baseline Profile:
# no B-frames
# We make use of the baseline profile (which is the designated profile for interactive vide) ,
# that means:
# no B-Frames (too much latency in interactive video)
# CBR (we want to get the max. quality making use of all the bitrate that is available)
# We allow one exeption: configuring a bitrate of > 786 kbit/s
#
# This plugin implements
# - Single Time Aggregation Packets A
# - Single NAL units
# - Fragmentation Units
# like described in RFC3984
#
# It requires x264 and ffmpeg.
#
# Revision 1.5  2007/04/19 06:09:04  csoutheren
# Fixed plugin build system to use better detection for OSX
# Resolved 1636262 - Fix for audio plugins for OSX
#
# Revision 1.4  2006/10/10 01:42:55  csoutheren
# Applied patches from Ekiga bug 360869 - fix OpenSolaris build problems
# Thanks to Boying Lu
#
# Revision 1.3  2006/08/20 00:32:25  csoutheren
# Added missing files to Makefile
#
# Revision 1.2  2006/08/12 10:59:14  rjongbloed
# Added Linux build for H.261 plug-in.
#

VC_PLUGIN_DIR=opal-3.6.1/codecs/video
prefix=/usr/local
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
target_os=linux-gnu
DL_LIBS =-ldl

SHAREDDIR	= ./shared
COMMONDIR	= ../common
PLUGINDIR	= ../../
OBJDIR	= ./obj
WIN32=no
SUBDIRS		+= gpl

BASENAME=h264
SONAME	=$(BASENAME)

CC	 	=gcc
CFLAGS	 	= -Os 
CXX	 	=g++
LDSO	 	=-shared -Wl,-soname,$(SONAME)
PLUGINEXT	=so
STDCCFLAGS	= -fPIC
LDFLAGS		=
LIBAVCODEC_CFLAGS=

EXTRACCFLAGS    +=  $(LIBAVCODEC_CFLAGS) -I$(COMMONDIR) -I$(PLUGINDIR) -DLIB_DIR='"$(libdir)"' -DVC_PLUGIN_DIR='"$(VC_PLUGIN_DIR)"' -DLICENCE_MPL

vpath	%.cxx $(SHAREDDIR)
vpath	%.cxx $(COMMONDIR)
vpath	%.o   $(OBJDIR)

SRCS    += $(SHAREDDIR)/h264frame.cxx \
           h264-x264.cxx \
           $(COMMONDIR)/dyna.cxx \
           $(COMMONDIR)/trace.cxx

ifeq ($(WIN32),yes)
SRCS    += h264pipe_win32.cxx
else
SRCS    += h264pipe_unix.cxx
endif


$(OBJDIR)/%.o : %.cxx
	@mkdir -p $(OBJDIR) >/dev/null 2>&1
	$(CXX) -I../../../include $(EXTRACCFLAGS) $(STDCCFLAGS) $(OPTCCFLAGS) $(CFLAGS) -c $< -o $@

PLUGIN	= ./$(BASENAME)_video_pwplugin.$(PLUGINEXT)
STATIC	= ./lib$(BASENAME)_video_s.a

OBJECTS = $(addprefix $(OBJDIR)/,$(patsubst %.c,%.o,$(patsubst %.cxx,%.o,$(notdir $(SRCS)))))

$(PLUGIN): $(OBJECTS)
	@set -e; $(foreach dir,$(SUBDIRS),if test -d ${dir} ; then $(MAKE) -C $(dir); fi ; )
ifeq (,$(findstring solaris,$(target_os)))
	$(CXX) $(LDSO) $(DL_LIBS) -o $@ $^
else
	$(CXX) $(LDSO) $(DL_LIBS) $@ -o $@ $^
endif


install:
	@set -e; $(foreach dir,$(SUBDIRS),if test -d ${dir} ; then $(MAKE) -C $(dir) install; fi ; )
	mkdir -p $(DESTDIR)$(libdir)/$(VC_PLUGIN_DIR)
	install $(PLUGIN) $(DESTDIR)$(libdir)/$(VC_PLUGIN_DIR)

uninstall:
	@set -e; $(foreach dir,$(SUBDIRS),if test -d ${dir} ; then $(MAKE) -C $(dir) uninstall; fi ; )
	rm -f $(DESTDIR)$(libdir)/$(VC_PLUGIN_DIR)/$(PLUGIN)

clean:
	rm -f $(OBJECTS) $(PLUGIN)
	@set -e; $(foreach dir,$(SUBDIRS),if test -d ${dir} ; then $(MAKE) -C $(dir) clean; fi ; )

###########################################

=== plugins/video/THEORA/Makefile ===
#
# Makefile for THEORA
#
# Copyright (C) 2004 Post Increment, All Rights Reserved
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open H323 library.
#
# The Initial Developer of the Original Code is Post Increment
#
# Contributor(s): Matthias Schneider (ma30002000@yahoo.de)
#

VC_PLUGIN_DIR=opal-3.6.1/codecs/video
prefix=/usr/local
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
target_os=linux-gnu

OBJDIR	= ./obj

BASENAME=theora
SONAME	=$(BASENAME)
COMMONDIR=../common
PLUGINDIR=../..

CC	 	=gcc
CFLAGS	 	= -Os 
CXX	 	=g++
LDSO	 	=-shared -Wl,-soname,$(SONAME)
PLUGINEXT	=so
STDCCFLAGS	= -fPIC
LDFLAGS		=
THEORA_LIBS     =

EXTRACCFLAGS    += -I$(COMMONDIR) -I$(PLUGINDIR)

vpath	%.cxx $(COMMONDIR)
vpath	%.o   $(OBJDIR)

SRCS    += theora_frame.cxx \
           theora_plugin.cxx \
           $(COMMONDIR)/trace.cxx


$(OBJDIR)/%.o : %.cxx
	@mkdir -p $(OBJDIR) >/dev/null 2>&1
	$(CXX) -I../../../include $(EXTRACCFLAGS) $(STDCCFLAGS) $(OPTCCFLAGS) $(CFLAGS) -c $< -o $@

$(OBJDIR)/%.o : %.c
	@mkdir -p $(OBJDIR) >/dev/null 2>&1
	$(CC) -I../../../include $(EXTRACCFLAGS) $(STDCCFLAGS) $(OPTCCFLAGS) $(CFLAGS) -c $< -o $@

PLUGIN	= ./$(BASENAME)_video_pwplugin.$(PLUGINEXT)
STATIC	= ./lib$(BASENAME)_video_s.a

OBJECTS = $(addprefix $(OBJDIR)/,$(patsubst %.c,%.o,$(patsubst %.cxx,%.o,$(notdir $(SRCS)))))

$(PLUGIN): $(OBJECTS)
ifeq (,$(findstring solaris,$(target_os)))
	$(CXX) $(LDFLAGS) $(LDSO) -o $@ $^ $(THEORA_LIBS)
else	
	$(CXX) $(LDFLAGS) $(LDSO) $@ -o $@ $^ $(THEORA_LIBS)
endif
    
install:
	mkdir -p $(DESTDIR)$(libdir)/$(VC_PLUGIN_DIR)
	install $(PLUGIN) $(DESTDIR)$(libdir)/$(VC_PLUGIN_DIR)

uninstall:
	rm -f $(DESTDIR)$(libdir)/$(VC_PLUGIN_DIR)/$(PLUGIN)

clean:
	rm -f $(OBJECTS) $(PLUGIN)

###########################################

=== plugins/video/H.264/gpl/Makefile ===
#
# Makefile for GSM 06.10
#
# Copyright (C) 2004 Post Increment, All Rights Reserved
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open H323 library.
#
# The Initial Developer of the Original Code is Post Increment
#
# Contributor(s): ______________________________________.
#
# $Log: Makefile.in,v $
# Revision 1.4  2007/09/02 12:03:19  dominance
# * dynamically load libx264 at runtime on *nix
# * Improved error handling
#
# Patch received from and thus thanks goes to Matthias Schneider.
#
# Revision 1.3  2007/08/23 19:20:15  dominance
# fix compilation of H.264 if CFLAGS is present from make
#
# Revision 1.2  2007/08/22 21:51:26  dsandras
# Applied patch from Matthias Schneider <ma30002000 yahoo de> to share
# things between codecs. Huge thanks!
#
# Revision 1.1  2007/06/16 21:37:00  dsandras
# Added H.264 support thanks to Matthias Schneider <ma30002000 yahoo de>.
# Thanks a lot !
#
# Baseline Profile:
# no B-frames
# We make use of the baseline profile (which is the designated profile for interactive vide) ,
# that means:
# no B-Frames (too much latency in interactive video)
# CBR (we want to get the max. quality making use of all the bitrate that is available)
# We allow one exeption: configuring a bitrate of > 786 kbit/s
#
# This plugin implements
# - Single Time Aggregation Packets A
# - Single NAL units
# - Fragmentation Units
# like described in RFC3984
#
# It requires x264 and ffmpeg.
#
# Revision 1.5  2007/04/19 06:09:04  csoutheren
# Fixed plugin build system to use better detection for OSX
# Resolved 1636262 - Fix for audio plugins for OSX
#
# Revision 1.4  2006/10/10 01:42:55  csoutheren
# Applied patches from Ekiga bug 360869 - fix OpenSolaris build problems
# Thanks to Boying Lu
#
# Revision 1.3  2006/08/20 00:32:25  csoutheren
# Added missing files to Makefile
#
# Revision 1.2  2006/08/12 10:59:14  rjongbloed
# Added Linux build for H.261 plug-in.
#

VC_PLUGIN_DIR=opal-3.6.1/codecs/video
prefix=/usr/local
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
target_os=linux-gnu
WIN32=no

SHAREDDIR	= ../shared
COMMONDIR       = ../../common
PLUGINDIR       = ../../../
OBJDIR	= ./obj

BASENAME=h264
SONAME	=$(BASENAME)

CC	 	=gcc
CFLAGS	 	= -Os 
CXX	 	=g++
PLUGINEXT	=so
STDCCFLAGS	= -fPIC
LDFLAGS		=
X264_CFLAGS     =
X264_LIBS	=
X264_LINK_STATIC=no
DL_LIBS	=-ldl

EXTRACCFLAGS	+= $(X264_CFLAGS) -I$(COMMONDIR) -I$(PLUGINDIR)

vpath	%.cxx $(SHAREDDIR)
vpath	%.cxx $(COMMONDIR)
vpath	%.o   $(OBJDIR)

SRCS   += $(SHAREDDIR)/h264frame.cxx \
	  $(COMMONDIR)/trace.cxx \
	  enc-ctx.cxx  \


ifeq ($(WIN32),yes)
SRCS    += h264helper_win32.cxx
PLUGIN	= ./$(BASENAME)_video_pwplugin_helper.exe

else
SRCS    += h264helper_unix.cxx
PLUGIN	= ./$(BASENAME)_video_pwplugin_helper

ifneq ($(X264_LINK_STATIC),yes)
SRCS   += x264loader_unix.cxx
endif

X264_LIBS	+= $(DL_LIBS)

endif




$(OBJDIR)/%.o : %.cxx
	@mkdir -p $(OBJDIR) >/dev/null 2>&1
	$(CXX) -I../../../include -I.. $(EXTRACCFLAGS) $(STDCCFLAGS) $(OPTCCFLAGS) $(CFLAGS) -c $< -o $@

$(OBJDIR)/%.o : %.c
	@mkdir -p $(OBJDIR) >/dev/null 2>&1
	$(CC) -I../../../include  -I.. $(EXTRACCFLAGS) $(STDCCFLAGS) $(OPTCCFLAGS) $(CFLAGS) -c $< -o $@


OBJECTS = $(addprefix $(OBJDIR)/,$(patsubst %.c,%.o,$(patsubst %.cxx,%.o,$(notdir $(SRCS)))))

$(PLUGIN): $(OBJECTS)
ifeq (,$(findstring solaris,$(target_os)))
	$(CXX) -o $@ $^ $(X264_LIBS)
else
	$(CXX) $@ -o $@ $^ $(X264_LIBS)
endif

install:
	mkdir -p $(DESTDIR)$(libdir)/$(VC_PLUGIN_DIR)
	install $(PLUGIN) $(DESTDIR)$(libdir)/$(VC_PLUGIN_DIR)

uninstall:
	rm -f $(DESTDIR)$(libdir)/$(VC_PLUGIN_DIR)/$(PLUGIN)

clean:
	rm -f $(OBJECTS) $(PLUGIN)

###########################################

## opal 3.6.6~dfsg

=== samples/c_api/Makefile ===
#
# Makefile
#
# An example of the "C" interface to OPAL
#
# Open Phone Abstraction Library
#
# Copyright (c) 2008 Vox Lucida
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open Phone Abstraction Library.
#
# The Initial Developer of the Original Code is Vox Lucida (Robert Jongbloed)
#
# Contributor(s): ______________________________________.
#
# $Revision$
# $Author$
# $Date$

PROG		= c_api
SOURCES		:= main.c


# If we have environment variables for local copies of
# OPAL and PTLib then use those packages by overriding
# the search path for pkg-config
ifneq ($(PTLIBDIR),)
ifneq ($(OPALDIR),)
PKG_CONFIG_PATH=$(OPALDIR):$(PTLIBDIR)
endif
endif


# Get required flags from library

CFLAGS += $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config $(PKG_FLAGS) --cflags opal)
LDFLAGS += -ldl


OBJDIR := obj

vpath	%.o   $(OBJDIR)

$(OBJDIR)/%.o : %.c
	@mkdir -p $(OBJDIR) >/dev/null 2>&1
	$(CC) $(CFLAGS) -c $< -o $@

$(OPAL_DEPDIR)/%.dep : %.cxx 
	@if [ ! -d $(OPAL_DEPDIR) ] ; then mkdir -p $(OPAL_DEPDIR) ; fi
	@printf %s $(OPAL_OBJDIR)/ > $@
	$(CC) $(CFLAGS:-g=) -M $< >> $@


# This builds the application

OBJECTS = $(addprefix $(OBJDIR)/,$(patsubst %.c,%.o,$(patsubst %.cxx,%.o,$(notdir $(SOURCES)))))

$(OBJDIR)/$(PROG): $(OBJECTS)
	 $(CC) $^ $(LDFLAGS) -o $@

depend:

clean:
	rm $(OBJECTS) $(OBJDIR)/$(PROG)

=== samples/simple/Makefile ===
#
# Makefile
#
# Copyright (C) 2008 Post Increment, All Rights Reserved
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is OPAL library.
#
# The Initial Developer of the Original Code is Post Increment
#
# Contributor(s): Matthias Schneider (ma30002000@yahoo.de)
#

PROG		= simpleopal
SRCS            = main.cxx


# If we have environment variables for local copies of
# OPAL and PTLib then use those packages by overriding
# the search path for pkg-config
ifneq ($(PTLIBDIR),)
ifneq ($(OPALDIR),)
PKG_CONFIG_PATH=$(OPALDIR):$(PTLIBDIR)
endif
endif

# Determine which package to use debug or release
ifeq ($(DEBUG_BUILD), yes)
DEBUG_SUFFIX=_d
CFLAGS += -g
else
DEBUG_SUFFIX=
CFLAGS += -O3
endif

ifeq ($(STATIC_BUILD), yes)
SUFFIX=$(DEBUG_SUFFIX)_s --static
else
SUFFIX=$(DEBUG_SUFFIX)
endif

ifneq ($(SUFFIX),)
PKG_FLAGS = --define-variable=suffix=$(SUFFIX)
endif
# Get required flags from library

CFLAGS += $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config $(PKG_FLAGS) --cflags opal) -I../../include
LDFLAGS += $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config $(PKG_FLAGS) --libs opal) -L ../../lib*


# This part is we like to be tidy and put all the build products
# in a sub-directory of a name specific to platform type.
OBJDIR = $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config $(PKG_FLAGS) --variable=objdir opal)

vpath	%.o   $(OBJDIR)

$(OBJDIR)/%.o : %.cxx
	@mkdir -p $(OBJDIR) >/dev/null 2>&1
	$(CXX) $(CFLAGS) -c $< -o $@

$(OBJDIR)/%.dep : %.cxx 
	@if [ ! -d $(OBJDIR) ] ; then mkdir -p $(OBJDIR) ; fi
	@printf %s $(OBJDIR)/ > $@
	$(CXX) $(CXXFLAGS:-g=) -M $< >> $@


# This builds the application

OBJECTS = $(addprefix $(OBJDIR)/,$(patsubst %.c,%.o,$(patsubst %.cxx,%.o,$(notdir $(SRCS)))))

$(OBJDIR)/$(PROG): $(OBJECTS)
	 $(CXX) $^ $(LDFLAGS) -o $@

distclean:
	$(MAKE) DEBUG_BUILD=no  STATIC_BUILD=no  clean
	$(MAKE) DEBUG_BUILD=yes STATIC_BUILD=no  clean
	$(MAKE) DEBUG_BUILD=no  STATIC_BUILD=yes clean
	$(MAKE) DEBUG_BUILD=yes STATIC_BUILD=yes clean

clean:
	rm -rf $(OBJDIR) $(OBJDIR)_d

# Some extra targets for convenience

opt:
	$(MAKE) DEBUG_BUILD=no STATIC_BUILD=no

debug:
	$(MAKE) DEBUG_BUILD=yes STATIC_BUILD=no
	
both:
	$(MAKE) DEBUG_BUILD=no STATIC_BUILD=no
	$(MAKE) DEBUG_BUILD=yes STATIC_BUILD=no

optnoshared:
	$(MAKE) DEBUG_BUILD=no STATIC_BUILD=yes

debugnoshared:
	$(MAKE) DEBUG_BUILD=yes STATIC_BUILD=yes
	
bothnoshared:
	$(MAKE) DEBUG_BUILD=no STATIC_BUILD=yes
	$(MAKE) DEBUG_BUILD=yes STATIC_BUILD=yes

depend: Makefile $(patsubst %.dep, $(OPAL_DEPDIR)/%.dep, $(SRCS) $(DEPS))
	@echo Dependencies created.


###########################################

=== samples/sipim/Makefile ===
#
# Makefile
#
# Makefile for SipIM
#
# Copyright (c) 2008 Post Increment
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open Phone Abstraction Library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Contributor(s): ______________________________________.
#
# $Revision: 21713 $
# $Auther$
# $Date: 2008-12-08 08:14:44 +0000 (Mon, 08 Dec 2008) $
#


PROG = sipim
SOURCES := main.cxx

ifndef OPALDIR
ifneq (,$(wildcard $(HOME)/opal))
OPALDIR=$(HOME)/opal
else
ifneq (,$(wildcard /usr/local/opal))
OPALDIR=/usr/local/opal
else
default_target :
	@echo Cannot find OPAL in standard locations, you must set the OPALDIR
	@echo environment variable to build this application.
endif
endif
endif

ifdef OPALDIR
include $(OPALDIR)/opal_inc.mak
endif

=== plugins/fax/fax_spandsp/spandsp_util/Makefile ===
# CXXFLAGS += -DSPANDSP_VER3

LDFLAGS	=-L /usr/local/lib -lspandsp
CXXFLAGS  += -g
#CXXFLAGS  += -DSPANDSP_VER3
LD	= g++

spandsp_util:	spandsp_util.o spandsp_if.o
	$(CXX) $(CFLAGS) $(LDFLAGS) -o $@ spandsp_util.o spandsp_if.o

spandsp_util.o:	spandsp_util.cpp

spandsp_if.o:	spandsp_if.cpp

clean:	
	rm -f spandsp_util spandsp_util.o spandsp_if.o

## opal 3.6.8~dfsg

=== debian/changelog ===
opal (3.6.8~dfsg-2) unstable; urgency=high

  * Fix RC bug "implicit conflict against libopal3.6.6-dbg" 
    - Urgency high - RC bug
    - Switch to common package: libopal-dbg (Closes: #585860)
    - Conflicts:/ Replaces: libopal3.6.8-dbg, libopal3.6.6-dbg
  * Update Standards-Version: 3.8.4
  * source/format -> 3.0 (quilt)

 -- Mark Purcell <msp@debian.org>  Tue, 15 Jun 2010 00:25:54 +1000

opal (3.6.8~dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #572384, #583420)
    - NEW packages libopal3.6.8[-dbg] - soname bump

  [ Eugen Dedu ]
  * Remove Build-Conflict with its own runtime
  * add back celt building

  [ Mark Purcell ]
  * Fix "opal should build-depend on libsrtp-dev, and libopal-dev should
    depend on libsrtp0-dev"  Build Depends added (Closes: #575195)
  * Drop libptX.X.X-plugins - included in libptX.X.X library binary

 -- Mark Purcell <msp@debian.org>  Sat, 29 May 2010 10:42:18 +1000

opal (3.6.6~dfsg-6) unstable; urgency=low

  * Include *.mak in /usr/include/opal/
  * simpleopal Depends: back to libpt2.6.5-plugins
    - "simpleopal: Depends on unavailable libpt2.6.6-plugins" (Closes: #579765)

 -- Mark Purcell <msp@debian.org>  Sat, 01 May 2010 07:37:48 +1000

opal (3.6.6~dfsg-5) unstable; urgency=low

  * Constrain debian/watch to track 3.6 series (Lalande release)
  * Move to svn://svn.debian.org/pkg-voip/opal/branches/opal-3.6/
  * Switch to debhelper 7
  * Drop unused dpatch, cdbs
  * Do not exclude simpleopal from dh_strip 

 -- Mark Purcell <msp@debian.org>  Mon, 26 Apr 2010 11:55:39 +1000

opal (3.6.6~dfsg-4) unstable; urgency=low

  [ Eugen Dedu ]
  * Disable celt codec, since celt is changing its API and upstream
    source does not compile with the new 0.7.0 celt release (Closes: #556832)
  * Remove some conflicts with non-official snapshot packages.
  * Remove unuseful libavcodec-dev from Build-Depends (it does not bring
    any new encoder and hurts non-official packages).

  [ Mark Purcell ]
  * Build-Conflicts: libcelt-dev

 -- Mark Purcell <msp@debian.org>  Mon, 01 Feb 2010 17:30:21 +0100

opal (3.6.6~dfsg-3) unstable; urgency=low

  * Add Build-Conflicts: libx264-dev  (fails DFSG)
    - Fixes "uninstallable on i386, was built with libx264" (Closes: #550516)
  * Remove simpleopal debug file, will be resurrected if really needed
    (Closes: #550168)

 -- Mark Purcell <msp@debian.org>  Mon, 12 Oct 2009 07:51:01 +1100

opal (3.6.6~dfsg-2) unstable; urgency=low

  * Add missing Build-Depends: libcapi20-dev, libavcodec-dev

 -- Mark Purcell <msp@debian.org>  Sat, 10 Oct 2009 09:57:50 +1100

opal (3.6.6~dfsg-1) unstable; urgency=low

  [ Eugen Dedu ]
  * New upstream release
    - fix "SEGV in SIP_PDU::Write" (Closes: #538734)
  * Remove simpleopal.dpatch, integrated upstream.
  * simpleopal should depend on libpt plugins (Closes: #542220)

 -- Mark Purcell <msp@debian.org>  Sat, 03 Oct 2009 18:12:29 +1000

opal (3.6.4~dfsg-1) unstable; urgency=low

  * New Upstream Release 
  * Fix "Rate controller skips too many frames", stolen from upstream.

 -- Mark Purcell <msp@debian.org>  Thu, 09 Jul 2009 08:12:53 +1000

opal (3.6.3~dfsg-2) unstable; urgency=low

  [ Eugen Dedu ]
  * Fix ptlib dependency, which lead to build failure (Closes: #533631)

 -- Mark Purcell <msp@debian.org>  Sat, 06 Jun 2009 17:43:25 +1000

opal (3.6.3~dfsg-1) unstable; urgency=low

  * New Upstream Release  
    - soname bump - NEW package libopal3.6.3
    - libpt transition
  * Switch get-orig-source target to sf.net

  [ Kilian Krause ]
  * Remove -N from wget args in get-orig-source target as -O is already
    used.

 -- Mark Purcell <msp@debian.org>  Sat, 06 Jun 2009 17:30:45 +1000

opal (3.6.1~dfsg-1) unstable; urgency=low

  [ Eugen Dedu ]
  * debian/rules: Honour DEB_BUILD_OPTIONS parameter for parallel builds.
  * Build-Depends on libcelt-dev.

  [ Mark Purcell ]
  * New upstream release
    * Fix "simpleopal example dies with segfault" (Closes: #510988)
  * Build-Depends: libpt-dev (>= 2.6.1)
  * NEW packages; libopal-dev, libopal2.6.1, libopal-doc, libopal2.6.1-dbg
  * debian/compat -> 7
  * Use dh_install; Add [libopal-dev,simpleopal,libopal3.6.1].install
  * Update to cdbs - correctly strips -dbg, parallel builds, et al
    - cleanup debian/rules cruft
  * Add Suggests: pkg-config
  * Upload to unstable (libpt transition)

 -- Mark Purcell <msp@debian.org>  Mon, 27 Apr 2009 19:45:35 +1000

opal (3.4.2~dfsg-2) experimental; urgency=low

  [ Eugen Dedu ]
  * Use Debian's speex library.

  [ Mark Purcell ]
  * Integrate historic debian/changelog from trunk
  * Update debian/watch to check sf.net
  * Fix hyphen-used-as-minus-sign debian/simpleopal.1

 -- Mark Purcell <msp@debian.org>  Sat, 15 Nov 2008 11:36:28 +1100

opal (3.4.2~dfsg-1) experimental; urgency=low

  [ Eugen Dedu ]
  * New release version 3.4.2, with update and simplification of debian files
  * Add a minimal man page for simpleopal.

 -- Mark Purcell <msp@debian.org>  Thu, 06 Nov 2008 21:44:30 +1100

opal (2.2.11~dfsg1-5) UNRELEASED; urgency=low

  * Add description for remove_ilbc.dpatch.
  * Remove config.log at clean time.
  * Remove duplicated word (the the) in the description of libopal-dev.

 -- Patrick Matthäi <patrick.matthaei@web.de>  Wed,  8 Oct 2008 21:21:56 +0200

opal (3.3.0+svn20940.dfsg-1) voip; urgency=low

  [ Eugen Dedu ]
  * Build from svn snapshot REV 20940, refresh libname patch and rules
  * Rename package to -beta1
  * Build-Depends on libgsm1-dev in order to use Debian's library
  * Remove h263-ffmpeg video codec, as suggested by upstream
  * Remove, if any, plugins for non-free codecs (H263-1998, H264, MPEG4)

  [ Mark Purcell ]
  * Switch to svn export
  * svn REV checkout is controlled from debian/changelog version
  * Update Description: to explict state this svn snapshot

 -- Mark Purcell <msp@debian.org>  Thu, 11 Sep 2008 22:33:41 +1000

opal (3.3.0+svn20930.dfsg-1) experimental; urgency=low

  * First upload to debian.
  [ Mark Purcell ]



=== debian/control ===
Source: opal
Section: libs
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
Build-Depends: debhelper (>= 7.0.50~), doxygen, autotools-dev, pkg-config,
 libpt-dev (>= 2.6.7), libsrtp-dev [alpha amd64 armel hppa i386 mips mipsel powerpc s390],
 libtheora-dev, libgsm1-dev, libspeex-dev, libspeexdsp-dev,
 libcapi20-dev, libcelt-dev
Standards-Version: 3.8.4
Homepage: http://www.opalvoip.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/opal/branches/opal-3.6/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/opal/?op=log
DM-Upload-Allowed: yes

Package: libopal3.6.8
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libspeex1, libspeexdsp1
Description: Open Phone Abstraction Library - successor of OpenH323
 This package contains the shared version of the OPAL library.
 .
 The OPAL project aims to create a full featured, interoperable, Open Source
 implementation of the H.323 and SIP protocols that can be used freely by
 everybody.  These protocols are most used for Voice over IP (VoIP)
 conferencing.
 .
 This package contains the shared version of the OPAL library, together
 with several free audio codecs and theora and H261 video codecs.

Package: libopal-dev
Section: libdevel
Architecture: any
Conflicts: openmpi-dev
Depends: ${misc:Depends}, libopal3.6.8 (= ${binary:Version}), libpt-dev (>= 2.6.7), libspeexdsp-dev,
 libsrtp0-dev [alpha amd64 armel hppa i386 mips mipsel powerpc s390]
Suggests: pkg-config
Recommends: libopal-doc
Replaces: libopal-snapshot-dev, libopal3.3-beta1-dev
Description: OPAL library header files
 This package contains the headers and a static version of the OPAL library.
 .
 The OPAL project aims to create a full featured, interoperable, Open Source
 implementation of the H.323 and SIP protocols that can be used freely by
 everybody.  These protocols are most used for Voice over IP (VoIP)
 conferencing.

Package: simpleopal
Section: comm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopal3.6.8 (= ${binary:Version})
Description: Simple example from the OPAL project
 This package contains a small H323 and SIP client given as an example. You
 can find its code on the doc package.
 .
 The OPAL project aims to create a full featured, interoperable, Open Source
 implementation of the H.323 and SIP protocols that can be used freely by
 everybody.  These protocols are most used for Voice over IP (VoIP)
 conferencing.

Package: libopal-dbg
Section: debug
Priority: extra
Depends: ${misc:Depends}, libopal3.6.8 (= ${binary:Version})
Conflicts: libopal3.6.8-dbg, libopal3.6.6-dbg
Replaces: libopal3.6.8-dbg, libopal3.6.6-dbg
Architecture: any
Description: OPAL library debug symbols
 This package contains the shared and static debug symbols of the
 OPAL library.
 .
 The OPAL project aims to create a full featured, interoperable, Open Source
 implementation of the H.323 and SIP protocols that can be used freely by
 everybody.  These protocols are most used for Voice over IP (VoIP)
 conferencing.

Package: libopal-doc
Section: doc
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: OPAL library documentation files
 This package contains the documentation and samples to program with
 the OPAL library.
 .
 The OPAL project aims to create a full featured, interoperable, Open Source
 implementation of the H.323 and SIP protocols that can be used freely by
 everybody.  These protocols are most used for Voice over IP (VoIP)
 conferencing.

=== debian/rules ===
#!/usr/bin/make -f

DEBVERSION := $(shell head -n 1 debian/changelog \
		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION := $(shell echo $(DEBVERSION) | sed 's/~dfsg-.//')

FILENAME := opal_$(UPVERSION)~dfsg.orig.tar.gz
UPFILENAME := opal_$(UPVERSION).orig.tar.gz
URL := http://transact.dl.sourceforge.net/sourceforge/opalvoip/opal-$(UPVERSION).tar.bz2

%:
	dh $@ --parallel


override_dh_auto_configure:
	if [ -d plugins/audio/iLBC ];then \
	   echo "ERROR: iLBC code must be removed from upstream sources" ; false ; \
	fi
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build -- opt docs
	$(MAKE) PTLIBDIR=/usr OPALDIR=$(CURDIR) -C samples/simple

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog*.txt

override_dh_strip:
	dh_strip -a --dbg-package=libopal-dbg

print-version:
	@@echo "Debian version:          $(DEBVERSION)"
	@@echo "Upstream version:        $(UPVERSION)"
	@@#echo "svn REV:                 $(REV)"

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@#this is for stable versions
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
	@@echo 'Repacking as DFSG-free (removing iLBC)...'
	@@mkdir -p ../tarballs/opal-$(UPVERSION).tmp/
	@@cd ../tarballs/opal-$(UPVERSION).tmp ; tar xfj ../$(UPFILENAME)
	@@rm -rf ../tarballs/opal-$(UPVERSION).tmp/opal*/plugins/audio/iLBC
	@@echo Writing archive ../tarballs/$(FILENAME) ...
	@@cd ../tarballs/opal-$(UPVERSION).tmp ; tar cfz ../$(FILENAME) *
	@@echo Cleaning up...
	@@$(RM) -rf ../tarballs/opal-$(UPVERSION).tmp/ ../tarballs/$(UPFILENAME)

=== debian/watch ===
version=3
#  http://www.voxgratia.org/releases/opal-v(\d+)_(\d?[02468]+)([\d_]+)-src[\.-]tar\.gz	debian	svn-upgrade

opts=dversionmangle=s/[\.~]dfsg(\d+)?//,uversionmangle=s/[_\.]+/\./g \
  http://sf.net/opalvoip/opal-(3.6.\d).tar.bz2 debian svn-upgrade

## opal 3.10.1~dfsg

=== debian/changelog ===
opal (3.10.1~dfsg-1) experimental; urgency=low

  * New upstream release: 3.10.1 (Luythen)
  * Put myself back into Uploaders
  * Bump debhelper compat to 8
  * Fix debian/watch to allow double digit minor version
  * Bump PTLib depends to 2.10 version (Luythen) as well
  * Bump Debian source version to 3.0
  * Enable samples to be built with --enable-samples instead of explicitly
    building them in debian/rules
  * Add libspandsp-dev (>= 0.0.6~pre17) to Build-Deps to allow T.38 to use it
  * Add debian/clean for all files that need to be purged before rebuild
  * Add debian/patches/plugins_clean_target.patch: Most of the plugins don't
    have a clean target and thus don't allow rebuilds
  * Update debian/rules to cope with latest samples compilation changes
    upstream
  * Remove Changelog from docs as upstream doesn't ship it
  * Replace jquery.js with Debian's libjs-jquery version to make lintian happy
  * Add symbols file for libopal3.10.1 (but don't fail builds while we're in
    experimental)
  * Add pkg-kde-tools to take advantage of pkgkde-symbolshelper which is
    better suited for C++ libs - thanks to Modestas Vainius!
    (this makes c++ symbol files somewhat less painful. But still different
    g++ versions emit a bit different symbol sets so ftbfs'es happen)
  * Add libavcodec-dev to enable H.263
  * Register API documentation with doc-base
  * Patch spandsp_autoconf_cppflags backported from upstream trunk
  * Adjust DFSG-repack: Remove *.dll and *.exe from upstream source
  * Fix Vcs-Browser URL
  * Bump Standards-Version to 3.9.2

 -- Kilian Krause <kilian@debian.org>  Tue, 12 Jul 2011 10:28:19 +0200

opal (3.8.4~dfsg-1) experimental; urgency=low

  * New Upstream Release 
  * NEW package libopal3.8.4 - soname bump

 -- Mark Purcell <msp@debian.org>  Wed, 02 Mar 2011 06:08:40 +1100

opal (3.8.3~dfsg-1) experimental; urgency=low

  * New Upstream Release
  * NEW package libopal3.8.3 - soname bump

 -- Mark Purcell <msp@debian.org>  Sat, 29 Jan 2011 20:18:35 +1100

opal (3.8.2~dfsg-1) experimental; urgency=low

  * New Upstream Release
  * Refresh simpleopal.1

 -- Mark Purcell <msp@debian.org>  Sun, 25 Jul 2010 18:53:53 +1000

opal (3.8.1~dfsg-1) experimental; urgency=low

  * New upstream release
    - NEW packages libopal[3.8.1,-dbg] - soname bump
  * Merge from branches/opal3.6

 -- Mark Purcell <msp@debian.org>  Sun, 30 May 2010 17:29:57 +1000

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,22 @@
 Section: libs
 Priority: optional
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
-Build-Depends: debhelper (>= 7.0.50~), doxygen, autotools-dev, pkg-config,
- libpt-dev (>= 2.6.7), libsrtp-dev [alpha amd64 armel hppa i386 mips mipsel powerpc s390],
+Uploaders: Mark Purcell <msp@debian.org>, Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, Kilian Krause <kilian@debian.org>, Tzafrir Cohen <tzafrir@debian.org>
+Build-Depends: debhelper (>= 8), doxygen, autotools-dev, pkg-config,
+ libpt-dev (>= 2.10.1~), libavcodec-dev,
+ libsrtp-dev [alpha amd64 armel hppa i386 mips mipsel powerpc s390],
+ libcelt-dev, pkg-kde-tools,
  libtheora-dev, libgsm1-dev, libspeex-dev, libspeexdsp-dev,
- libcapi20-dev, libcelt-dev
-Standards-Version: 3.8.4
+ libcapi20-dev, libspandsp-dev (>= 0.0.6~pre17)
+Build-Conflicts: libopal-dev, libx264-dev,
+ libopal3.8.3, libopal3.8.4, libopal3.6.8, libopal3.10.1
+Standards-Version: 3.9.2
 Homepage: http://www.opalvoip.org/
-Vcs-Svn: svn://svn.debian.org/pkg-voip/opal/branches/opal-3.6/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/opal/?op=log
+Vcs-Svn: svn://svn.debian.org/pkg-voip/opal/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/opal/
 DM-Upload-Allowed: yes
 
-Package: libopal3.6.8
+Package: libopal3.10.1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libspeex1, libspeexdsp1
 Description: Open Phone Abstraction Library - successor of OpenH323
@@ -31,11 +35,10 @@
 Section: libdevel
 Architecture: any
 Conflicts: openmpi-dev
-Depends: ${misc:Depends}, libopal3.6.8 (= ${binary:Version}), libpt-dev (>= 2.6.7), libspeexdsp-dev,
+Depends: ${misc:Depends}, libopal3.10.1 (= ${binary:Version}), libpt-dev (>= 2.10.1~), libspeexdsp-dev,
  libsrtp0-dev [alpha amd64 armel hppa i386 mips mipsel powerpc s390]
 Suggests: pkg-config
 Recommends: libopal-doc
-Replaces: libopal-snapshot-dev, libopal3.3-beta1-dev
 Description: OPAL library header files
  This package contains the headers and a static version of the OPAL library.
  .
@@ -47,7 +50,7 @@
 Package: simpleopal
 Section: comm
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libopal3.6.8 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libopal3.10.1 (= ${binary:Version})
 Description: Simple example from the OPAL project
  This package contains a small H323 and SIP client given as an example. You
  can find its code on the doc package.
@@ -60,7 +63,7 @@
 Package: libopal-dbg
 Section: debug
 Priority: extra
-Depends: ${misc:Depends}, libopal3.6.8 (= ${binary:Version})
+Depends: ${misc:Depends}, libopal3.10.1 (= ${binary:Version})
 Conflicts: libopal3.6.8-dbg, libopal3.6.6-dbg
 Replaces: libopal3.6.8-dbg, libopal3.6.6-dbg
 Architecture: any
